Subject: RE: can't open -lgcc
From: [email-masked] (Richard Donkin)

15 Dec 1996 07:04:40 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
Original-Sender: [email-masked]

In-Reply-To: <[email-masked]>
> At 05:05 PM 12/13/96 +0900, Colin Peters wrote:
> [snipped my problem -- it's solved :)  ]
> >So, the *real* error is that ld can't find libgcc.a. So, search for that 
> file,
> >and while you're at it, why not find all the lib*.a files included with 
> the
> >distribution (they should be in two or three directories at most). Then 
> set an
> >environment variable called LIBRARY_PATH to a list of all these 
> directories.
> >For example, my LIBRARY_PATH is "/usr/lib:/usr/win32/lib", but my setup 
> is, I
> >must tell you, quite different from your standard GNU or Cygnus setup.
> 
> First of all, thank you all very much; I can compile now! :)
> The problem was that although I had LIBRARY_PATH properly set in my 
> .bashrc, I was an idiot and didn't check that $LIBRARY_PATH actually had 
> the value which I gave it. It seems that for some reason bash can't 
> initialize the variable (although it can change its value if it is already 
> initialized), so
> all that was needed was to set LIBRARY_PATH too foo in my autoexec.bat and 
> then change it in my .bashrc
> 
> This was also neccessary for my C_INCLUDE_PATH and CPLUS_INCLUDE_PATH (and 
> it would no doubt have saved me some embarassment had I remembered that). 
> Why can bash not initialize these vars?

It can - from my .profile:

export CPLUS_INCLUDE_PATH=/unix/include/g++

And from the prompt, 'env | grep CPLUS' gives this setting.  

Are you sure you are exporting the variable setting in bash?  A side effect 
of setting a variable in autoexec.bat is that it will become an environment 
variable in bash. 

Richard
--
[email-masked]                http://www.inside-edge.co.uk/
Inside Edge Consultancy           Client/Server and Internet Applications
PGP key from:  [email-masked]  -or-  http://www.four11.com/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".